Bug 177624 - Rebuild of 2.6.9-27 with CONFIG_ROOT_NFS=y fails
Rebuild of 2.6.9-27 with CONFIG_ROOT_NFS=y fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-01-12 09:19 EST by James Pearson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 20:02:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fs/nfs/nfsroot.c (402 bytes, patch)
2006-01-12 09:22 EST, James Pearson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 14:58:50 EDT

  None (edit)
Description James Pearson 2006-01-12 09:19:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040524

Description of problem:
Rebuilding kernel-2.6.9-27.EL drom the src RPM with CONFIG_ROOT_NFS=y fails:

fs/nfs/nfsroot.c:163: error: `Opt_acl' undeclared here (not in a function)
fs/nfs/nfsroot.c:163: error: initializer element is not constant
fs/nfs/nfsroot.c:163: error: (near initialization for `tokens[30].token')
fs/nfs/nfsroot.c:163: error: initializer element is not constant
fs/nfs/nfsroot.c:163: error: (near initialization for `tokens[30]')
fs/nfs/nfsroot.c:164: error: `Opt_noacl' undeclared here (not in a function)
fs/nfs/nfsroot.c:164: error: initializer element is not constant
fs/nfs/nfsroot.c:164: error: (near initialization for `tokens[31].token')
fs/nfs/nfsroot.c:164: error: initializer element is not constant
fs/nfs/nfsroot.c:164: error: (near initialization for `tokens[31]')
fs/nfs/nfsroot.c:165: error: initializer element is not constant
fs/nfs/nfsroot.c:165: error: (near initialization for `tokens[32]')


Version-Release number of selected component (if applicable):
kernel-2.6.9-27.EL.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Recompile kernel with CONFIG_ROOT_NFS=y
2.
3.
  

Actual Results:  Fails to compile

Expected Results:  Compile OK

Additional info:

Patch to follow
Comment 1 James Pearson 2006-01-12 09:22:57 EST
Created attachment 123114 [details]
patch to fs/nfs/nfsroot.c
Comment 2 RHEL Product and Program Management 2006-09-07 15:34:04 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 RHEL Product and Program Management 2006-09-07 15:34:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2006-09-07 15:34:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jason Baron 2006-09-15 15:12:03 EDT
committed in stream U5 build 42.11. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 8 Mike Gahagan 2007-03-21 15:46:34 EDT
verified that the patch is in and the -50 kernel will build with nfs root enabled.

Comment 10 Red Hat Bugzilla 2007-05-01 20:02:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.